Bug 8544 - Make RSS icon styleable
Summary: Make RSS icon styleable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low trivial (vote)
Assignee: Robin Sheat
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-31 20:28 UTC by Robin Sheat
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8544 - make the RSS icon CSS-changeable (1.67 KB, patch)
2012-07-31 21:00 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 8544 - make the RSS icon CSS-changeable (1.73 KB, patch)
2012-08-01 10:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8544 - make the RSS icon CSS-changeable (2.50 KB, patch)
2012-08-02 14:03 UTC, Robin Sheat
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8544 - make the RSS icon CSS-changeable (2.62 KB, patch)
2012-08-03 05:50 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2012-07-31 20:28:49 UTC
The RSS icon on the results page doesn't have a CSS class attached, so it's not able to be messed with easily.
Comment 1 Robin Sheat 2012-07-31 21:00:13 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2012-07-31 21:01:46 UTC
This applies on 3.8 nicely, should anyone want it for there too.
Comment 3 Jonathan Druart 2012-08-01 10:01:54 UTC Comment hidden (obsolete)
Comment 4 Robin Sheat 2012-08-02 14:03:39 UTC Comment hidden (obsolete)
Comment 5 Robin Sheat 2012-08-02 14:04:58 UTC
I missed an instance of the RSS icon, so replacing the previous patch with one that does both.
Comment 6 Marc Véron 2012-08-03 05:50:29 UTC
Created attachment 11320 [details] [review]
[SIGNED-OFF] Bug 8544 - make the RSS icon CSS-changeable

This gives the RSS bits on the search results some CSS classes so it can
be modified with CSS or javascript.

Updated: added also to the RSS icon shown when no results are found.
Signed-off-by: Marc Veron <veron@veron.ch>

Patch behaves as expected.
Comment 7 Jonathan Druart 2012-08-03 07:32:16 UTC
Add 2 class for the RSS icon (the 2 only occurrences).
Marking as Passed QA
Comment 8 Paul Poulain 2012-08-03 09:51:54 UTC
Patch pushed. It's a minor enhancement, probably not for 3.8, but chris_c, it's up to you, Robin put 3.8, I don't change it
Comment 9 Chris Cormack 2012-08-04 08:14:12 UTC
Adding a class to 2 html elements, no visible change at all, but allows them to be styled now.

Pushed to 3.8.x, will be in 3.8.4